testing::internal::CartesianProductGenerator2< T1, T2 > Class Template Reference

`#include <gtest.h>`

Inheritance diagram for testing::internal::CartesianProductGenerator2< T1, T2 >:

## Public Types

typedef ::std::tuple< T1, T2 > | ParamType
Public Types inherited from testing::internal::ParamGeneratorInterface< ::std::tuple< T1, T2 > >
typedef ::std::tuple< T1, T2 > | ParamType

## Public Member Functions

| CartesianProductGenerator2 (const ParamGenerator< T1 > &g1, const ParamGenerator< T2 > &g2)
| ~CartesianProductGenerator2 () override
ParamIteratorInterface< ParamType > * | Begin () const override
ParamIteratorInterface< ParamType > * | End () const override
Public Member Functions inherited from testing::internal::ParamGeneratorInterface< ::std::tuple< T1, T2 > >
virtual | ~ParamGeneratorInterface ()

## Detailed Description

### template<typename T1, typename T2>
class testing::internal::CartesianProductGenerator2< T1, T2 >

Definition at line 11365 of file gtest.h.

## Member Typedef Documentation

## ParamType

template<typename T1 , typename T2 >

typedef ::std::tuple<T1, T2> testing::internal::CartesianProductGenerator2< T1, T2 >::ParamType

Definition at line 11368 of file gtest.h.

## Constructor & Destructor Documentation

## CartesianProductGenerator2()

template<typename T1 , typename T2 >

testing::internal::CartesianProductGenerator2< T1, T2 >::CartesianProductGenerator2 | ( | const ParamGenerator< T1 > & | g1,
|  | const ParamGenerator< T2 > & | g2
| ) |  |

inline

Definition at line 11370 of file gtest.h.

## ~CartesianProductGenerator2()

template<typename T1 , typename T2 >

testing::internal::CartesianProductGenerator2< T1, T2 >::~CartesianProductGenerator2 | ( |  | ) |

inlineoverride

Definition at line 11373 of file gtest.h.

## Member Function Documentation

## Begin()

template<typename T1 , typename T2 >

ParamIteratorInterface<ParamType>* testing::internal::CartesianProductGenerator2< T1, T2 >::Begin | ( |  | ) | const

inlineoverridevirtual

Implements testing::internal::ParamGeneratorInterface< ::std::tuple< T1, T2 > >.

Definition at line 11375 of file gtest.h.

## End()

template<typename T1 , typename T2 >

ParamIteratorInterface<ParamType>* testing::internal::CartesianProductGenerator2< T1, T2 >::End | ( |  | ) | const

inlineoverridevirtual

Implements testing::internal::ParamGeneratorInterface< ::std::tuple< T1, T2 > >.

Definition at line 11378 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h